package com.caimei365.commodity.model.vo;

import lombok.Data;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/28
 */
@Data
public class MallOrganizeProductVo {
    /**
     * 活动Id
     */
    private Integer activeId;
    /**
     * 楼层Id
     */
    private Integer floorId;
    /**
     * 活动图Id
     */
    private Integer imageId;
    /**
     * 活动商品宣传图主题
     */
    private String topic;
    /**
     * 商品Id
     */
    private Integer productId;
    /**
     * 外部商城商品id
     */
    private Integer mallProductId;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品主图
     */
    private String mainImage;
    /**
     * 市场价
     */
    private String normalPrice;
    /**
     * 成本价
     */
    private String costPrice;
    /**
     * 价格等级
     */
    private Integer priceGrade;
    /**
     * 价格
     */
    private Double price;
    /**
     * 启用阶梯价格标识 0否 1是
     */
    private String ladderPriceFlag;
    /**
     * 售价(此起售价适用于非阶梯价格)
     */
    private String retailPrice;
    /**
     * 最小起订量(此起订量适用于非阶梯价格)
     */
    private String minBuyNumber;
    /**
     * 商品状态,1已上架,2已下架
     */
    private String validFlag;
    /**
     * sku信息
     */
    private List<MallProductSkuVo> sku;
}
